import vl from 'vega-lite-api';
export const viz = vl
  .markCircle({ size: 100, opacity: 1 })
  .encode(
    vl.x().fieldQ('Crop_Year').scale({ zero: false }), // Here taken as in X-axis
    vl.y().fieldQ('Annual_Rainfall').scale({ zero: false }), // Here taken as in Y-axis
    vl.color().fieldN('State'), // This is the legends column name
    vl.tooltip().fieldN('Crop'), //This is the label name
  );
